import { Column } from './column';
import { DatabaseConnector } from './database/database-connector-builder';
export interface Table {
    name: string;
    lines: number;
    columns: Column[];
    before?: string[];
    after?: string[];
}
export declare class TableService {
    private dbConnector;
    private maxCharLength;
    private values;
    constructor(dbConnector: DatabaseConnector, maxCharLength: number, values: {
        [key: string]: any[];
    });
    private empty;
    private getForeignKeyValues;
    fill(table: Table, reset: boolean): Promise<void>;
    private before;
    private generateData;
    private after;
}
